unit FMXTee.Editor.Series.ActivityGauge;
{$I TeeDefs.inc}
interface

uses
  System.SysUtils, System.Types, System.UITypes, System.Classes, System.Variants,  
  FMX.Types, FMX.Controls, FMX.Forms,  FMX.Dialogs, FMXTee.Procs,
  {$IFNDEF UPTOXE3}
  FMX.StdCtrls,
  {$ENDIF}
  {$IFNDEF UPTOXE7}
   FMX.Controls.Presentation,
  {$ENDIF}
  {$IFDEF D19}
  FMX.Graphics,
  {$ENDIF}
  FMXTee.Series.ActivityGauge,
  FMX.Colors, FMX.TabControl;


type
  TActivityGaugeSeriesEditor = class(TForm)
    BBackColor: TComboColorBox;
    Label3: TLabel;
    TabControl1: TTabControl;
    TabOptions: TTabItem;
    procedure BBackColorChange(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    ActivityGauge : TActivityGauge;
  public
  end;

var
  ActivityGaugeSeriesEditor: TActivityGaugeSeriesEditor;

implementation

{$R *.fmx}

procedure TActivityGaugeSeriesEditor.BBackColorChange(Sender: TObject);
begin
  ActivityGauge.BackColor:=BBackColor.Color;
end;

procedure TActivityGaugeSeriesEditor.FormActivate(Sender: TObject);
begin
  ActivityGauge:=TActivityGauge(TagObject);

  if Assigned(ActivityGauge) then
  begin
    With ActivityGauge do
    begin
      BBackColor.Color:=BackColor;
    end;
  end;
end;


initialization
  RegisterSeriesEditor(TActivityGaugeSeriesEditor);

end.
